VORBISCOMMENT(1)

NAME
vorbiscomment - edits Ogg Vorbis comments

SYNOPSIS
vorbiscomment [-l] file.ogg
vorbiscomment -a [ -c commentfile | -t “tag=value” ] [-q] in.ogg [out.ogg]
vorbiscomment -w [ -c commentfile | -t “tag=value” ] [-q] in.ogg [out.ogg]

DESCRIPTION
vorbiscomment reads, modifies, and appends Ogg Vorbis audio file metadata tags.

OPTIONS

-a  Append comments.

-c commentfile
    Take comments from a file. The file is the same format as is output by the the -l option: one element per line in 'tag=value' format.

-h  Show command help.

-l  List the comments in the ogg vorbis file.

-q  Quiet mode. No messages are displayed.

-t 'tag=value'
    Specify a new tag on the command line. Each tag is given as a single string. The part before the '=' is treated as the tag name and the part after as the value.

-w  Replace comments with the new set given either on the command line with -t or from a file with -c.

EXAMPLES

To just see what comment tags are in a file:

    vorbiscomment -l file.ogg

To edit those comments:

    vorbiscomment -l file.ogg > file.txt
    [edit the comments in file.txt to your statisfaction]
    vorbiscomment -w -c file.txt file.ogg newfile.ogg

To simply add a comment:

    vorbiscomment -a -t 'ARTIST=No One You Know' file.ogg newfile.ogg

SEE ALSO
See http://xiph.org/ogg/vorbis/doc/v-comment.html for documentation on the Ogg Vorbis tag format, including a suggested list of canonical tag names.

AUTHORS

Program Authors:
    Michael Smith <msmith@xiph.org>
    Ralph Giles <giles@xiph.org>

Manpage Author:
    Christopher L Cheney <ccheney@debian.org>